### Class

# GdkPixbuf PixbufNonAnim

#### Description

    final class GdkPixbuf.PixbufNonAnim : GdkPixbuf.PixbufAnimation {
      /* No available fields */
    }

No description available.

#### Ancestors

- GdkPixbufAnimation
- GObject

#### Constructors

###### gdk_pixbuf_non_anim_new

No description available.

#### Instance methods

##### Methods inherited from GdkPixbufAnimation (7)

###### gdk_pixbuf_animation_get_height

Queries the height of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_get_iter

Get an iterator for displaying an animation.

###### gdk_pixbuf_animation_get_static_image

Retrieves a static image for the animation.

###### gdk_pixbuf_animation_get_width

Queries the width of the bounding box of a pixbuf animation.

###### gdk_pixbuf_animation_is_static_image

Checks whether the animation is a static image.

###### gdk_pixbuf_animation_ref

Adds a reference to an animation.

Deprecated since: 2.0

###### gdk_pixbuf_animation_unref

Removes a reference from an animation.

Deprecated since: 2.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.